Index: scripts/rtemsdoc/Makefile.am
===================================================================
--- scripts/rtemsdoc/Makefile.am	(revision 2dae735fec9cdc5a61b0499435cdc40793576b52)
+++ scripts/rtemsdoc/Makefile.am	(revision 2dae735fec9cdc5a61b0499435cdc40793576b52)
@@ -0,0 +1,62 @@
+##
+## $Id$
+##
+
+CLEANFILES =
+
+MKSPEC = $(SHELL) ./mkspec
+
+MKSPEC_DEPS = mkspec rtemsdoc.spec.in \
+    $(top_builddir)/setup.cache
+
+SUPPLEMENTS = \
+  arm \
+  c4x \
+  hppa1_1 \
+  i386 \
+  i960 \
+  m68k \
+  mips \
+  mips64orion \
+  powerpc \
+  sh \
+  sparc
+
+DOCS =  ada_user posix1003_1 bsp_howto
+DOCS += c_user
+DOCS += develenv 
+DOCS += FAQ filesystem itron
+DOCS += networking porting new_chapters 
+DOCS += relnotes rgdb_specs rtems_gdb
+DOCS += started started_ada
+
+SUBPACKAGES = $(DOCS:%=%-docs.add)
+CLEANFILES  += $(DOCS:%=%-docs.add)
+SUBPACKAGES += $(SUPPLEMENTS:%=%-supplement.add)
+CLEANFILES  += $(SUPPLEMENTS:%=%-supplement.add)
+
+SUFFIXES = -supplement.add -docs.add
+
+%-supplement.add: supplement.add.in
+	t=`echo $@ | sed -e 's,-supplement.add,,'`; \
+	sed -e s/@target\@/$$t/g < $< >$@ 
+
+%-docs.add: templ.add.in
+	t=`echo $@ | sed -e 's,-docs.add,,'`; \
+	sed -e s/@target\@/$$t/g < $< >$@ 
+
+rtemsdoc.spec: $(MKSPEC_DEPS) $(SUBPACKAGES)
+	$(MKSPEC) -cfg $(top_builddir)/setup.cache -o . > $@
+	cat $(SUBPACKAGES) >> $@
+
+RPM_SPECS_DATA = rtemsdoc.spec
+
+TEMPLATES = rtemsdoc.spec.in
+
+noinst_DATA = $(TEMPLATES)
+
+EXTRA_DIST = $(TEMPLATES)
+
+CLEANFILES += $(RPM_SPECS_DATA)
+
+include $(top_srcdir)/../automake/local.am
Index: scripts/rtemsdoc/mkspec.in
===================================================================
--- scripts/rtemsdoc/mkspec.in	(revision 2dae735fec9cdc5a61b0499435cdc40793576b52)
+++ scripts/rtemsdoc/mkspec.in	(revision 2dae735fec9cdc5a61b0499435cdc40793576b52)
@@ -0,0 +1,53 @@
+#! /bin/sh 
+
+RTEMS_DIR=`dirname $0`/@top_srcdir@
+PACKAGE_BUGREPORT=@PACKAGE_BUGREPORT@
+
+CFG=../setup.cache
+exe_ext=@EXEEXT@
+
+usage()
+{
+  echo "$0 [options]"
+  echo "  options:"
+  echo "    -cfg <setup.cache>"
+  echo "    -o <rpm-spec-dir>"
+  exit 1 ;
+}
+
+specsrc=${RTEMS_DIR}/rtemsdoc/rtemsdoc.spec.in
+
+while test $# -ge 2; do
+case $1 in
+-cfg) 
+  shift
+  CFG=$1
+  shift
+  ;;
+-o)
+  shift
+  dst=$1
+  shift
+  ;;
+-*)
+  echo "invalid option $1";
+  usage
+  ;;
+esac
+done
+
+if test ! $# -eq 0;
+then
+  echo "Invalid number of arguments" >&2
+  usage >&2
+fi
+
+. ./$CFG
+
+sed -e "s%@PACKAGE_BUGREPORT\@%@PACKAGE_BUGREPORT@%g" \
+    -e "s%@rtems_rpm_release\@%${rtems_rpm_release}%g" \
+    -e "s%@rtems_version\@%${rtems_version}%g" \
+    -e "s%@rtems_rpm_version\@%${rtems_rpm_version}%g" \
+    -e "s,@rpm_build_root\@,${rpm_build_root},g" \
+    -e "s%@exe_ext\@%${exe_ext}%g" \
+< ${specsrc}
Index: scripts/rtemsdoc/rtemsdoc.spec.in
===================================================================
--- scripts/rtemsdoc/rtemsdoc.spec.in	(revision 2dae735fec9cdc5a61b0499435cdc40793576b52)
+++ scripts/rtemsdoc/rtemsdoc.spec.in	(revision 2dae735fec9cdc5a61b0499435cdc40793576b52)
@@ -0,0 +1,100 @@
+#
+# spec file for package rtemsdoc
+# 
+# Copyright  (c)  2003 Ralf Corsepius, Ulm, Germany
+#
+# please send bugfixes or comments to @PACKAGE_BUGREPORT@
+#
+
+%define _prefix	/opt/rtems
+%define _datadir %{_prefix}/share
+%define _infodir %{_datadir}/info
+
+%define srcvers	@rtems_version@
+%define rpmvers  %{expand:%%(echo @rtems_version@ | tr - _ )}
+
+
+Vendor:       OAR Corporation
+Distribution: Linux
+Name:         rtemsdoc
+Release:      @rtems_rpm_release@
+License:      Distributable
+Group:        rtems
+
+Autoreqprov:  on
+Packager:     	corsepiu@faw.uni-ulm.de and joel@OARcorp.com
+BuildPreReq:    texinfo >= 4.2
+BuildPreReq:    tetex
+BuildPreReq:    perl
+BuildPreReq:    gcc
+
+Version:      %{rpmvers}
+Summary:      A free operating system for embedded systems
+Source:       rtems-%{srcvers}.tar.bz2
+
+#
+# The original sources are not included in the source RPM.
+# If we included them, then the source RPMs for each target
+# would duplicate MBs of source unnecessarily.  This is 
+# a duplication of over 30 MBs of source for each of
+# the more than 10 targets it is possible to build.
+#
+# You can get them yourself from the Internet and copy them to
+# your /usr/src/redhat/SOURCES directory ($RPM_SOURCE_DIR).
+# Or you can try the ftp options of rpm :-)
+#
+NoSource:      0
+Prefix:		%{_prefix}
+Prefix:		%{_infodir}
+Prefix:		%{_datadir}
+BuildRoot:    	%{_tmppath}/%{name}-%{version}-root
+BuildArch:	noarch
+
+%description
+RTEMS is a free operating system for embedded systems.
+
+This package contains the documentation
+
+%prep
+%setup -c -T -n %{name}-%{version} -b0
+test -d build || mkdir build
+%build
+cd build
+# rtems does not support building inside the source tree
+  export PATH=%{_prefix}/bin:$PATH
+  ../rtems-%{srcvers}/doc/configure \
+  --prefix=%{_prefix} \
+  --infodir=%{_infodir} \
+  --datadir=%{_datadir} \
+  --enable-docs
+  make RTEMS_BSP=
+%install
+  rm -rf ${RPM_BUILD_ROOT}
+cd build
+  make RTEMS_BSP= DESTDIR=${RPM_BUILD_ROOT} install
+  rm -f ${RPM_BUILD_ROOT}/%{_infodir}/template*
+  rm -f ${RPM_BUILD_ROOT}/%{_datadir}/rtems/*/template*
+  rm -rf ${RPM_BUILD_ROOT}/%{_datadir}/rtems/html/supplements/template*
+
+  gzip -9qf ${RPM_BUILD_ROOT}/%{_infodir}/*
+  bzip2 -9qf ${RPM_BUILD_ROOT}/%{_datadir}/rtems/ps/*
+
+## base
+
+%package base
+Summary: Documentation for RTEMS ada support
+Group: rtems/documentation
+
+%description base
+RTEMS is a free operating system for embedded systems.
+
+This package contains the files shared between different documentation
+packages.
+
+%files base
+%dir %{_infodir}
+%dir %{_datadir}/rtems
+%dir %{_datadir}/rtems/html
+%{_datadir}/rtems/html/images
+%{_datadir}/rtems/html/*.html
+
Index: scripts/rtemsdoc/supplement.add.in
===================================================================
--- scripts/rtemsdoc/supplement.add.in	(revision 2dae735fec9cdc5a61b0499435cdc40793576b52)
+++ scripts/rtemsdoc/supplement.add.in	(revision 2dae735fec9cdc5a61b0499435cdc40793576b52)
@@ -0,0 +1,35 @@
+## supplement for target @target@
+
+%package @target@
+Summary: Documentation for RTEMS @target@ support
+Group: rtems/documentation
+PreReq: /sbin/install-info
+Requires: rtemsdoc-base
+
+%description @target@
+RTEMS is a free operating system for embedded systems.
+
+This package contains the @target@ target supplement
+
+%files @target@
+%dir %{_infodir}
+%{_infodir}/@target@.info*
+%dir %{_datadir}
+%dir %{_datadir}/rtems
+%dir %{_datadir}/rtems/dvi
+%{_datadir}/rtems/dvi/@target@*
+%dir %{_datadir}/rtems/pdf
+%{_datadir}/rtems/pdf/@target@*
+%dir %{_datadir}/rtems/ps
+%{_datadir}/rtems/ps/@target@*
+%dir %{_datadir}/rtems/html
+%dir %{_datadir}/rtems/html/supplements
+%{_datadir}/rtems/html/supplements/@target@*
+
+%post @target@
+/sbin/install-info %{_infodir}/@target@.info.gz %{_infodir}/dir
+
+%preun @target@
+if [ $1 = 0 ]; then
+    /sbin/install-info --delete %{_infodir}/@target@.info.gz %{_infodir}/dir
+fi
Index: scripts/rtemsdoc/templ.add.in
===================================================================
--- scripts/rtemsdoc/templ.add.in	(revision 2dae735fec9cdc5a61b0499435cdc40793576b52)
+++ scripts/rtemsdoc/templ.add.in	(revision 2dae735fec9cdc5a61b0499435cdc40793576b52)
@@ -0,0 +1,34 @@
+## @target@
+
+%package @target@
+Summary: Documentation for RTEMS @target@ support
+Group: rtems/documentation
+PreReq: /sbin/install-info
+Requires: rtemsdoc-base
+
+%description @target@
+RTEMS is a free operating system for embedded systems.
+
+This package contains the @target@ documentation.
+
+%files @target@
+%dir %{_infodir}
+%{_infodir}/@target@.info*
+%dir %{_datadir}
+%dir %{_datadir}/rtems
+%dir %{_datadir}/rtems/dvi
+%{_datadir}/rtems/dvi/@target@*
+%dir %{_datadir}/rtems/pdf
+%{_datadir}/rtems/pdf/@target@*
+%dir %{_datadir}/rtems/ps
+%{_datadir}/rtems/ps/@target@*
+%dir %{_datadir}/rtems/html
+%{_datadir}/rtems/html/@target@*
+
+%post @target@
+/sbin/install-info %{_infodir}/@target@.info.gz %{_infodir}/dir
+
+%preun @target@
+if [ $1 = 0 ]; then
+    /sbin/install-info --delete %{_infodir}/@target@.info.gz %{_infodir}/dir
+fi
